Bug 1413371 - Node lifecycle: ability to set node manageable from provisioning state enroll
Summary: Node lifecycle: ability to set node manageable from provisioning state enroll
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Richard Su
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack:provision:infra
Depends On:
Blocks: 1422654
TreeView+ depends on / blocked
 
Reported: 2017-01-15 13:19 UTC by Ronnie Rasouli
Modified: 2017-08-30 03:48 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1422654 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:32:55 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
evm log (4.43 MB, text/plain)
2017-01-15 13:19 UTC, Ronnie Rasouli
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github 3987 0 None None None 2017-01-18 07:51:12 UTC

Description Ronnie Rasouli 2017-01-15 13:19:27 UTC
Created attachment 1240937 [details]
evm log

Description of problem:

Currently we support node set to available only if the node is in manageable state, however in case the node is in enroll (if we register node from a file)

The set node to manageable is impossible only if manually setting the newly registered node to manageable 

$ ironic node-list
| 3f7c1253-5cab-4ca3-91de-b694d00aa95e | my_node      | None                                 | None        | enroll             | False       |


Then select the node and select 'Set node as managable' fails 

 
Solution:
ironic node-set-provision-state 3f7c1253-5cab-4ca3-91de-b694d00aa95e manage

Then able to set the node as available 


Version-Release number of selected component (if applicable):
5.7.0.17

How reproducible:
100%

Steps to Reproduce:
1. register new node in node management
2. select the new node 'Set Nodes to Manageable'

Actual results:

action failed:
 "Manageable": not available for cdf0e401-1436-4dcb-ba5c-3515cb409751. cdf0e401-1436-4dcb-ba5c-3515cb409751's provision state must be in "available", "adoptfail", "cleanfail", or "inspectfail" 

Expected results:


Additional info:

Comment 2 Tzu-Mainn Chen 2017-01-31 15:46:49 UTC
Richard, is this expected behavior, or are there new state changes to consider?

Comment 3 Richard Su 2017-02-07 06:51:04 UTC
Ronnie, when I registered nodes using a file, they automatically go to manageable state. Can you give more details as to how you got nodes to the enroll state?

Comment 6 Richard Su 2017-02-09 07:03:30 UTC
Fix posted for review

https://github.com/ManageIQ/manageiq-ui-classic/pull/329

Comment 8 Ronnie Rasouli 2017-03-21 13:57:06 UTC
verified on 5.8.0.6, nodes turn to manageable after import, register nodes


Note You need to log in before you can comment on or make changes to this bug.